2005年1月25日 星期二

升級apache2風波

[起因]
一早看到一篇關於版本控制器的文章,一時手癢,想說最近在寫asp可以用上,安裝時顯示要apache2以上的版本,於是想說,就裝裝看吧,沒想到...不幸的事情就這麼發生了

[開始]
裝完後發現,他同時運行兩個apache衝到,於是關掉就的,要編輯新的設定檔時發現,遭了,新版本設定檔整個打散在各個地方,於是重新修改設定,修改玩先跑blog看正不正常,結果一直出現要我下載index.php這個檔案,這個問題上次裝就遇過了,檢查apache的設定檔發現我有把註解去掉阿...

[壞事總是接二連三的來]
於是我想會不會是模組或設定檔重疊的問題,先移除了舊的apache,結果還是不行,去摩托學園找,結果是要裝新的php4模組 for apache2,裝好了以後還是不行,繼續在討論區裡面翻,終於看了上百筆後發現要dpkg-reconfigure重新設定,設定玩還是一樣,當場傻眼,遭了,不會又要重灌了吧,雖然重灌很快,但是重新設定很頭大,尤其黑net的ADSL常常會怪怪的,再這個十後又翻到一篇文說,如果只用apt-get 是無法移除所有的檔案,如果要移除所有的檔案要用apt-get remove --purge 於是馬上把所有的apache移除重裝,幸好終於正常了....

[結論]
沒啥結論,只是多知道了一點debian和其他發行版不一樣的地方...